<script type='text/javascript'>
jQuery(document).ready(function($){

	
	function honapkepe(){
		var con = $('#szerkgHonapKepeGaleriaformdoboz');
		var con2 = $('#ujgaleriaformdoboz');
		
	/*	$('#tr_fajlok', con).css({'display': ''});
		$('#tr_link', con).css({'display': 'none'});
		$('#tr_velemeny', con).css({'display': 'none'});
		$('#tr_sorszam', con).css({'display': 'none'});
		$('#td_cim', con).html('<strong>Kép készítője:</strong>');
	/*	$('#td_sorszam', con).html('<strong>Hónap:</strong>');*/
	/*	$('#td_elso', con).html('<strong>Nyertes kép:</strong>');
		$('#td_leiras', con).html('<strong>Zsűri véleménye:</strong>');
		$('#td_fajlok', con).html('<strong>Sorszám:</strong>');
		
		$('#tr_fajlok', con2).css({'display': ''});
		$('#tr_feltolt', con2).css({'display': 'none'});
		$('#tr_ujgaleria', con2).css({'display': 'none'});
		$('#tr_velemeny', con2).css({'display': 'none'});
		$('#tr_link', con2).css({'display': 'none'});
		$('#tr_sorszam', con2).css({'display': 'none'});
		$('#td_cim', con2).html('<strong>Kép készítője:</strong>');
		$('#td_elso', con2).html('<strong>Nyertes kép:</strong>');
		$('#td_leiras', con2).html('<strong>Zsűri véleménye:</strong>');
		$('#td_fajlok', con2).html('<strong>Sorszám:</strong>');
		
		$('.mappak').css({'display': 'none'});
		$('.honapok').css({'display': ''});*/
	};
	
	function nemhonapkepe(){
		var con = $('#szerkgaleriaformdoboz');
		var con2 = $('#ujgaleriaformdoboz');
		
		$('#tr_fajlok', con).css({'display': ''});
		$('#tr_feltolt', con).css({'display': ''});
		$('#tr_ujgaleria', con).css({'display': ''});
		$('#tr_link', con).css({'display': ''});
		$('#tr_velemeny', con).css({'display': 'none'});
		$('#tr_sorszam', con).css({'display': ''});
		$('#td_cim', con).html('<strong>Galéria címe:</strong>');
	/*	$('#td_sorszam', con).html('<strong>Sorszám:</strong>');*/
		$('#td_elso', con).html('<strong>Kezdő kép:</strong>');
		$('#td_leiras', con).html('<strong>Leírás:</strong>');
		$('#td_fajlok', con).html('<strong>Fájlok helye:</strong>');
		
		$('#tr_fajlok', con2).css({'display': ''});
		$('#tr_feltolt', con2).css({'display': ''});
		$('#tr_ujgaleria', con2).css({'display': ''});
		$('#tr_link', con2).css({'display': ''});
		$('#tr_velemeny', con2).css({'display': 'none'});
		$('#tr_sorszam', con2).css({'display': ''});
		$('#td_cim', con2).html('<strong>Galéria címe:</strong>');
	/*	$('#td_sorszam', con2).html('<strong>Sorszám:</strong>');*/
		$('#td_elso', con2).html('<strong>Kezdő kép:</strong>');
		$('#td_leiras', con2).html('<strong>Leírás:</strong>');
		$('#td_fajlok', con2).html('<strong>Fájlok helye:</strong>');
		
		$('.mappak').css({'display': ''});
		$('.honapok').css({'display': 'none'});
	};
	
	function kezzeltervez(){
		var con = $('#szerkgaleriaformdoboz');
		var con2 = $('#ujgaleriaformdoboz');
		
		$('#tr_fajlok', con).css({'display': ''});
	//	$('#tr_feltolt', con).css({'display': 'none'});
		$('#tr_ujgaleria', con).css({'display': 'none'});
		$('#tr_link', con).css({'display': 'none'});
		$('#tr_velemeny', con).css({'display': 'none'});
		$('#tr_sorszam', con).css({'display': ''});
		$('#td_cim', con).html('<strong>Terv készítője:</strong>');
		$('#td_sorszam', con).html('<strong>Sorszám:</strong>');
		$('#td_elso', con).html('<strong>Kép neve:</strong>');
		$('#td_leiras', con).html('<strong>Leírás:</strong>');
		$('#td_fajlok', con).html('<strong>Hónap:</strong>');
		
		$('#tr_fajlok', con2).css({'display': ''});
		$('#tr_feltolt', con2).css({'display': 'none'});
		$('#tr_ujgaleria', con2).css({'display': 'none'});
		$('#tr_velemeny', con2).css({'display': 'none'});
		$('#tr_link', con2).css({'display': 'none'});
		$('#tr_sorszam', con2).css({'display': ''});
		$('#td_cim', con2).html('<strong>Terv készítője:</strong>');
		$('#td_sorszam', con2).html('<strong>Sorszám:</strong>');
		$('#td_elso', con2).html('<strong>Kép neve:</strong>');
		$('#td_leiras', con2).html('<strong>Leírás:</strong>');
		$('#td_fajlok', con2).html('<strong>Hónap:</strong>');
		
		$('.mappak').css({'display': 'none'});
		$('.honapok').css({'display': ''});
	};
	
	
	var galeriak_object = {
		getAllGallery: function(){
			return <?=$galeriak_json?>;
		},
		getUpdateByID: function(gal_id){
			var galeriak = this.getAllGallery();
			var len = galeriak.length;
			
			for(var i = 0; i < len; i++){
				if(galeriak[i].gal_id == gal_id){
					return galeriak[i];
				}
			}
			
			return false;
		}
	};
	
	var honapkepek_object = {
		getAllGallery: function(){
			return <?=$honapkepek_json?>;
		},
		getUpdateByID: function(gal_id){
			var galeriak = this.getAllGallery();
			var len = galeriak.length;
			
			for(var i = 0; i < len; i++){
				if(galeriak[i].gal_id == gal_id){
					return galeriak[i];
				}
			}
			
			return false;
		},
		getUpdateBySorszam: function(sorszam){
			var galeriak = this.getAllGallery();
			var len = galeriak.length;
			
			for(var i = 0; i < len; i++){
				if(galeriak[i].sorszam == sorszam){
					return galeriak[i];
				}
			}
			
			return false;
		}
	};
	
	
	$('#ujgaleriaformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 550,
		buttons: {
			'Létrehoz': function(){
				$('#ujgaleria_form').submit();
				$('#ujgaleriaformdoboz').dialog('close');
			},
			'Mégsem': function(){
				$('#ujgaleriaformdoboz').dialog('close');
			}
		}
	});
	
	$('#ujHonapKepeGaleriaformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 550,
		buttons: {
			'Létrehoz': function(){
				$('#ujhkgaleria_form').submit();
				$('#ujHonapKepeGaleriaformdoboz').dialog('close');
			},
			'Mégsem': function(){
				$('#ujHonapKepeGaleriaformdoboz').dialog('close');
			}
		}
	});
	
	$('#szerkgaleriaformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 550,
		buttons: {
			'Mentés': function(){
				$('#szerkgaleria_form').submit();
				$('#szerkgaleriaformdoboz').dialog('close');
			},
			'Mégsem': function(){
				$('#szerkgaleriaformdoboz').dialog('close');
			}
		}
	});
	
	$('#szerkgHonapKepeGaleriaformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 550,
		buttons: {
			'Mentés': function(){
				$('#szerkghkaleria_form').submit();
				$('#szerkgHonapKepeGaleriaformdoboz').dialog('close');
			},
			'Mégsem': function(){
				$('#szerkgHonapKepeGaleriaformdoboz').dialog('close');
			}
		}
	});
	
	
	// új kép/galéria
	$('.ujkep').click(function(){
		
		var terulet =  $(this).attr('terulet');
		
		if( terulet == "honapkepe" ){
			var con = $('#ujHonapKepeGaleriaformdoboz');
			$('#cim', con).val('<?=date('Y')?> <?$tmp = lang('honapok');print $tmp[date('n',time())];?> - ');
			$('#kezdo', con).val('');
		}
		else{
			var con = $('#ujgaleriaformdoboz');
		}
		
		
		$('#terulet', con).val(terulet);
		
		if( terulet=="honapkepe" ){
	//		honapkepe();
			$('#ujHonapKepeGaleriaformdoboz').dialog('open');
			return false;
		}
		else if( terulet=="kezzel" )
			kezzeltervez();
		else
			nemhonapkepe();
		
		$('#ujgaleriaformdoboz').dialog('open');
		return false;
	});
	
	// kép/galéria szerkesztése
	$('.editgal').click(function(){
		
		var event = $(this).parents('.kepinfok');
		var terulet = event.attr('terulet');
		var con, galeria;
		
		if( terulet == "honapkepe" ){
			con = $('#szerkgHonapKepeGaleriaformdoboz');
			galeria = honapkepek_object.getUpdateByID(event.attr('gal_id'));
			mappakepek(galeria.sorszam);
			
			if(galeria.kiemelt1)
				$('.kiemelt1', con).val(galeria.kiemelt1);
			else
				$('.kiemelt1', con).val('');
				
			if(galeria.kiemelt2)
				$('.kiemelt2', con).val(galeria.kiemelt2);
			else
				$('.kiemelt2', con).val('');
				
			if(galeria.kiemelt3)
				$('.kiemelt3', con).val(galeria.kiemelt3);
			else
				$('.kiemelt3', con).val('');
			
			if(galeria.kiemelt4)
				$('.kiemelt4', con).val(galeria.kiemelt4);
			else
				$('.kiemelt4', con).val('');
			
			$('#sorszam',  con).val(galeria.sorszam);
			
		}
		else{
			con = $('#szerkgaleriaformdoboz');
			galeria = galeriak_object.getUpdateByID(event.attr('gal_id'));
			
			$('#terulet', con).val(galeria.terulet);
			$('#sorszam', con).val(galeria.sorszam);
			$('#link',    con).val(galeria.link);
			
			if(galeria.uj === '1'){
				$('#uj', con).attr('checked', 'checked');
			} else {
				$('#uj', con).attr('checked', '');
			}
		}
		
		$('#gal_id', con).val(galeria.gal_id);
		$('#mappa',  con).val(galeria.mappa);
		$('#cim',    con).val(galeria.cim);
		$('#leiras', con).val(galeria.leiras);
		$('#kezdo',  con).val(galeria.kezdo);
		
		
		if( galeria.terulet == "honapkepe" ){
	//		honapkepe();
			$('#szerkgHonapKepeGaleriaformdoboz').dialog('open');
			return false;
		}
		else if( galeria.terulet == "kezzel" )
			kezzeltervez();
		else
			nemhonapkepe();
		
		
		$('#szerkgaleriaformdoboz').dialog('open');
		
		return false;
	});
	
	
	$('.interiorgal2012').click(function(){
		var allapot = $('#interiorgal2012doboz').css("display");
		if(allapot == "none")
			$('#interiorgal2012doboz').css({'display': 'block'});
		else
			$('#interiorgal2012doboz').css({'display': 'none'});
	});
	
	$('.architectgal2012').click(function(){
		var allapot = $('#architectgal2012doboz').css("display");
		if(allapot == "none")
			$('#architectgal2012doboz').css({'display': 'block'});
		else
			$('#architectgal2012doboz').css({'display': 'none'});
	});
	
	$('.honapkepe').click(function(){
		var allapot = $('#honapkepedoboz').css("display");
		if(allapot == "none")
			$('#honapkepedoboz').css({'display': 'block'});
		else
			$('#honapkepedoboz').css({'display': 'none'});
	});
	
	$('.interiorgal').click(function(){
		var allapot = $('#interiorgaldoboz').css("display");
		if(allapot == "none")
			$('#interiorgaldoboz').css({'display': 'block'});
		else
			$('#interiorgaldoboz').css({'display': 'none'});
	});
	
	$('.architectgal').click(function(){
		var allapot = $('#architectgaldoboz').css("display");
		if(allapot == "none")
			$('#architectgaldoboz').css({'display': 'block'});
		else
			$('#architectgaldoboz').css({'display': 'none'});
	});
	
	$('.photogal').click(function(){
		var allapot = $('#photogaldoboz').css("display");
		if(allapot == "none")
			$('#photogaldoboz').css({'display': 'block'});
		else
			$('#photogaldoboz').css({'display': 'none'});
	});
	
	$('.ktgal').click(function(){
		var allapot = $('#ktgaldoboz').css("display");
		if(allapot == "none")
			$('#ktgaldoboz').css({'display': 'block'});
		else
			$('#ktgaldoboz').css({'display': 'none'});
	});
	
	
	
	$('.teruletvalaszto').change(function() {
		var con = $('#szerkgaleriaformdoboz');
		var xyz = $('#terulet option:selected', con).val();
		
		if( xyz == "honapkepe" ){
			honapkepe();
			
		}else if( xyz == "kezzel" ){
			kezzeltervez();
			
		}else{
			nemhonapkepe();
		}
	});
	
	$('.teruletvalaszto2').change(function() {
		var con = $('#ujgaleriaformdoboz');
		var xyz = $('#terulet option:selected', con).val();
		
		if( xyz == "honapkepe" ){
			honapkepe();
			
		}else if( xyz == "kezzel" ){
			kezzeltervez();
			
		}else{
			nemhonapkepe();
		}
	});
	
	
	
});
</script>


<style>
div.honapkepe, div.interiorgal, div.architectgal, div.photogal, div.ktgal, div.interiorgal2012, div.architectgal2012{
	cursor: pointer;
	margin: 10px 0 10px 5px;
	padding: 4px;
	border: 1px solid black;
	width: 170px;
	background: #f80;
	text-align: center;
	border-radius: 3px;
}

div.ujkep{
	cursor: pointer;
	margin: 0 0 10px 15px;
	padding: 3px;
	border: 1px solid black;
	width: 100px;
	background: #f80;
	text-align: center;
}

td{
	text-align: left;
}
</style>

<h1><?=$this->lang->line('menu_gallerys')?></h1>


<div class="interiorgal2012"><strong>Főoldali belsőépítészet galéria</strong></div>
<div id="interiorgal2012doboz" style="display: none;">
<span style="margin: 0px 0px 5px 10px;">Képek helye a szerveren: public/img/gallery2012</span><br /><br />
<div><strong>Új kép feltöltése:</strong></div>
<form action="/admin/ujgalkep"  method="post" enctype="multipart/form-data">
<input type="file" name="gallery2012" /> (800 x 600 px)<br />
<input type="submit" value="Feltöltés" />
</form>
</div>


<div class="architectgal2012"><strong>Főoldali építészet galéria</strong></div>
<div id="architectgal2012doboz" style="display: none;">
<span style="margin: 0px 0px 5px 10px;">Képek helye a szerveren: public/img/gallery2012architect</span><br /><br />
<div><strong>Új kép feltöltése:</strong></div>
<form action="/admin/ujarchgalkep"  method="post" enctype="multipart/form-data">
<input type="file" name="gallery2012" /> (800 x 600 px)<br />
<input type="submit" value="Feltöltés" />
</form>
</div>


<div class="honapkepe"><strong><?=$this->lang->line('gal_hokep')?></strong></div>
<div id="honapkepedoboz" style="/*display: none;*/">
<span style="margin: 0px 0px 5px 10px;"><a href="/public/img/honapkepe/infok.txt">Infók</a></span><br />
<div class="ujkep" terulet="honapkepe" style="width: 90px;"><strong><?=$this->lang->line('gal_ujkep')?></strong></div>
<?if(!$honapkepek):?>
	Nincsenek képek az adatbázisban
<?else:?>
	<?foreach($honapkepek as $kep):?>
		<p>
			<span class="kepinfok" gal_id="<?=$kep->gal_id?>" terulet="honapkepe">
			<a href="javascript:delQue('admin/galeriadelete/<?=$kep->gal_id?>','Biztosan törli?')">
				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
			<a class="editgal" href="#">
				<?=$kep->cim?>
			</a>
			</span>
		</p>
	<?endforeach;?>
<?endif;?>
</div>

<div class="ktgal" style="display: none;"><strong>Kézzel tervez galéria</strong></div>
<div id="ktgaldoboz" style="display: none;">
<span style="margin: 0px 0px 5px 10px;">Képek helye a szerveren: public/img/kezzeltervez/HO</span><br />
<div class="ujkep" terulet="kezzel" style="width: 90px;"><strong><?=$this->lang->line('gal_ujkep')?></strong></div>
<?if(!$ktkepek):?>
	Nincsenek képek az adatbázisban
<?else:?>
	<?foreach($ktkepek as $kep):?>
		<p>
			<span class="kepinfok" gal_id="<?=$kep->gal_id?>">
			<a href="javascript:delQue('admin/galeriadelete/<?=$kep->gal_id?>','Biztosan törli?')">
				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
			<a class="editgal" href="#">
				<?=$kep->cim?>
			</a>
			</span>
		</p>
	<?endforeach;?>
<?endif;?>
</div>

<div class="interiorgal"><strong><?=$this->lang->line('gal_int')?></strong></div>
<div id="interiorgaldoboz" style="display: none;">
<span style="margin: 0px 0px 5px 10px;">Képek helye a szerveren: public/gallery/MAPPANEV</span><br />
<div class="ujkep" terulet="interior" style="width: 90px;"><strong><?=$this->lang->line('gal_ujkep')?></strong></div>
<?if(!$interiorkepek):?>
	Nincsenek képek az adatbázisban
<?else:?>
	<?foreach($interiorkepek as $kep):?>
		<p>
			<span class="kepinfok" gal_id="<?=$kep->gal_id?>">
			<a href="javascript:delQue('admin/galeriadelete/<?=$kep->gal_id?>','Biztosan törli?')">
				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
			<a class="editgal" href="#">
				<?=$kep->cim?>
			</a>
			</span>
		</p>
	<?endforeach;?>
<?endif;?>
</div>


<div class="architectgal"><strong><?=$this->lang->line('gal_arch')?></strong></div>
<div id="architectgaldoboz" style="display: none;">
<span style="margin: 0px 0px 5px 10px;">Képek helye a szerveren: public/gallery/MAPPANEV</span><br />
<div class="ujkep" terulet="architect" style="width: 90px;"><strong><?=$this->lang->line('gal_ujkep')?></strong></div>
<?if(!$architectkepek):?>
	Nincsenek képek az adatbázisban
<?else:?>
	<?foreach($architectkepek as $kep):?>
		<p>
			<span class="kepinfok" gal_id="<?=$kep->gal_id?>">
			<a href="javascript:delQue('admin/galeriadelete/<?=$kep->gal_id?>','Biztosan törli?')">
				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
			<a class="editgal" href="#">
				<?=$kep->cim?>
			</a>
			</span>
		</p>
	<?endforeach;?>
<?endif;?>
</div>


<div class="photogal"><strong>Főoldali virtual staging galéria</strong></div>
<div id="photogaldoboz" style="display: none;">
<span style="margin: 0px 0px 5px 10px;">Képek helye a szerveren: public/gallery/MAPPANEV</span><br />
<div class="ujkep" terulet="photo" style="width: 90px;"><strong><?=$this->lang->line('gal_ujkep')?></strong></div>
<?if(!$photokepek):?>
	Nincsenek képek az adatbázisban
<?else:?>
	<?foreach($photokepek as $kep):?>
		<p>
			<span class="kepinfok" gal_id="<?=$kep->gal_id?>">
			<a href="javascript:delQue('admin/galeriadelete/<?=$kep->gal_id?>','Biztosan törli?')">
				<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
			<a class="editgal" href="#">
				<?=$kep->cim?>
			</a>
			</span>
		</p>
	<?endforeach;?>
<?endif;?>
</div>




<div id="szerkgaleriaformdoboz" style="display: none;">
	<form action="/admin/editgaleria" method="post" name="szerkgaleria_form" id="szerkgaleria_form" enctype="multipart/form-data">
		<input type="hidden" name="ujgal" id="ujgal" value="nem" />
		<input type="hidden" name="gal_id" id="gal_id" value="nem" />
		<table>
			<tr>
				<td id="td_cim" width="150"><strong>Galéria címe: </strong></td>
				<td><input type="text" name="cim" id="cim" value="" style="width: 220px;" /></td>
			</tr>
			<tr>
				<td><strong>Téma: </strong></td>
				<td>
					<select name="terulet" id="terulet" style="width: 180px;" class="teruletvalaszto">
					<option value="honapkepe">A hónap képe</option>
					<option value="interior">Belsőépítészet</option>
					<option value="architect">Építészet</option>
					<?/*<option value="kezzel">Kézzel tervez</option>*/?>
					<option value="photo">Photo</option>
					</select>
				</td>
			</tr>
			<tr>
				<td valign="top" id="td_leiras"><strong>Leírás: </strong></td>
				<td>
					<textarea name="leiras" id="leiras" rows="3" cols="45"></textarea>
				</td>
			</tr>
			<tr id="tr_velemeny">
				<td valign="top"><strong>Leírás: </strong></td>
				<td>
					<textarea name="leiras2" id="leiras2" rows="4" cols="45"></textarea>
				</td>
			</tr>
			<tr id="tr_fajlok">
				<td id="td_fajlok"><strong>Képek helye a szerveren: </strong></td>
				<td>
					<select name="mappa" id="mappa" style="width: 250px;">
						<option value="">  -- Válasszon --  </option>
						<?foreach($fajlok as $fajl):?>
						<option value="<?=$fajl?>" class="mappak"><?=$fajl?></option>
						<?endforeach;?>
						<?for( $i=6; $i<=25; $i++ ):?>
						<option value="<?=$i?>" class="honapok"><?=$i?></option>
						<?endfor;?>
					</select>
				</td>
			</tr>
			<tr id="tr_link">
				<td><strong>Hivatkozás: </strong></td>
				<td><input type="text" name="link" id="link" value="" style="width: 250px;" /></td>
			</tr>
			<tr>
				<td id="td_elso"><strong>Első kép: </strong></td>
				<td><input type="text" name="kezdo" id="kezdo" value="" style="width: 250px;" /></td>
			</tr>
			<tr id="tr_feltolt">
				<td><strong>Képek feltöltése:<br />(1 kép vagy .zip)</strong></td>
				<td><input type="file" name="fajlok" id="fajlok" value="" /></td>
			</tr>
			<tr id="tr_ujgaleria">
				<td><strong>Új galéria: </strong></td>
				<td><input type="checkbox" name="uj" id="uj" checked="true" style="width: 20px;" /></td>
			</tr>
			<tr id="tr_sorszam">
				<td id="td_sorszam"><strong>Sorszám: </strong></td>
				<td><input type="text" name="sorszam" id="sorszam" value="" style="width: 250px;" /></td>
			</tr>
		</table>
	</form>
</div>



<div id="ujgaleriaformdoboz" style="display: none;">
	<form action="/admin/editgaleria" method="post" name="ujgaleria_form" id="ujgaleria_form" enctype="multipart/form-data">
		<input type="hidden" name="ujgal" id="ujgal" value="igen" />
		<table>
			<tr>
				<td id="td_cim" width="150"><strong>Galéria címe: </strong></td>
				<td><input type="text" name="cim" id="cim" value="" style="width: 220px" /></td>
			</tr>
			<tr>
				<td><strong>Téma: </strong></td>
				<td>
					<select name="terulet" id="terulet" style="width: 180px;" class="teruletvalaszto2">
					<option value="honapkepe">A hónap képe</option>
					<option value="interior">Belsőépítészet</option>
					<option value="architect">Építészet</option>
					<?/*<option value="kezzel">Kézzel tervez</option>*/?>
					<option value="photo">Photo</option>
					</select>
				</td>
			</tr>
			<tr>
				<td valign="top" id="td_leiras"><strong>Leírás: </strong></td>
				<td>
					<textarea name="leiras" id="leiras" rows="3" cols="45"></textarea>
				</td>
			</tr>
			<tr id="tr_velemeny">
				<td valign="top"><strong>Leírás: </strong></td>
				<td>
					<textarea name="leiras2" id="leiras2" rows="4" cols="45"></textarea>
				</td>
			</tr>
			<tr id="tr_fajlok">
				<td id="td_fajlok"><strong>Képek helye a szerveren: </strong></td>
				<td>
					<select name="mappa" id="mappa" style="width: 250px;">
						<option value="">  -- Válasszon --  </option>
						<?foreach($fajlok as $fajl):?>
						<option value="<?=$fajl?>" class="mappak"><?=$fajl?></option>
						<?endforeach;?>
						<?for( $i=1; $i<=25; $i++ ):?>
						<option value="<?=$i?>" class="honapok"><?=$i?></option>
						<?endfor;?>
					</select>
				</td>
			</tr>
			<tr id="tr_link">
				<td><strong>Hivatkozás: </strong></td>
				<td><input type="text" name="link" id="link" value="" style="width: 250px;" /></td>
			</tr>
			<tr>
				<td id="td_elso"><strong>Első kép: </strong></td>
				<td><input type="text" name="kezdo" id="kezdo" value="" style="width: 250px;" /></td>
			</tr>
			<tr id="tr_feltolt">
				<td><strong>Képek feltöltése:<br />(1 kép vagy .zip)</strong></td>
				<td><input type="file" name="fajlok" id="fajlok" value="" /></td>
			</tr>
			<tr id="tr_ujgaleria">
				<td><strong>Új galéria: </strong></td>
				<td><input type="checkbox" name="uj" id="uj" checked="true" style="width: 20px;" /></td>
			</tr>
			<tr id="tr_sorszam">
				<td id="td_sorszam"><strong>Sorszám: </strong></td>
				<td><input type="text" name="sorszam" id="sorszam" value="" style="width: 250px;" /></td>
			</tr>
		</table>
	</form>
</div>


<div id="szerkgHonapKepeGaleriaformdoboz" style="display: none;">
	<form action="/admin/edithkgaleria" method="post" name="szerkghkaleria_form" id="szerkghkaleria_form" enctype="multipart/form-data">
		<input type="hidden" name="ujgal" id="ujgal" value="nem" />
		<input type="hidden" name="gal_id" id="gal_id" value="nem" />
		<input type="hidden" name="terulet" id="terulet" value="honapkepe" />
		<table>
			<tr>
				<td id="td_cim" width="150"><strong>év hónap - beküldő neve: </strong></td>
				<td><input type="text" name="cim" id="cim" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td valign="top" id="td_leiras"><strong>A zsűri véleménye: </strong></td>
				<td>
					<textarea name="leiras" id="leiras" rows="3" cols="45"></textarea>
				</td>
			</tr>
			<tr id="tr_fajlok">
				<td id="td_fajlok"><strong>Hónap: </strong></td>
				<td>
					<select name="sorszam" id="sorszam" onchange="mappakepek(this.value)"  style="width: 270px;">
						<option value="">  -- Válasszon --  </option>
						<?for( $i=6; $i<=12; $i++ ):?>
						<option value="<?=$i?>" class="honapok">2011. <?=$i?>.</option>
						<?endfor;?><?for( $i=13; $i<=24; $i++ ):?>
						<option value="<?=$i?>" class="honapok">2012. <?=$i-12?>.</option>
						<?endfor;?><?for( $i=25; $i<=36; $i++ ):?>
						<option value="<?=$i?>" class="honapok">2013. <?=$i-24?>.</option>
						<?endfor;?><?for( $i=37; $i<=48; $i++ ):?>
						<option value="<?=$i?>" class="honapok">2014. <?=$i-36?>.</option>
						<?endfor;?>
					</select>
				</td>
			</tr>
			<tr>
				<td id="td_elso"><strong>Nyertes kép: </strong></td>
				<td id="honapokkepei">
					<select name="kezdo" id="kezdo" onchange="katvaltas2(this.value)" style="width: 255px;">
					</select>
				</td>
			</tr>
			<tr>
				<td><strong>1. Kiemelt kép: </strong></td>
				<td class="kiemeltcella kiemelt10"><input type="text" name="kiemelt1" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td><strong>2. Kiemelt kép: </strong></td>
				<td class="kiemeltcella kiemelt20"><input type="text" name="kiemelt2" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td><strong>3. Kiemelt kép: </strong></td>
				<td class="kiemeltcella kiemelt30"><input type="text" name="kiemelt3" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td><strong>4. Kiemelt kép:</strong></td>
				<td class="kiemeltcella kiemelt40"><input type="text" name="kiemelt4" value="" style="width: 270px;" /></td>
			</tr>
		</table>
	</form>
</div>

<div id="ujHonapKepeGaleriaformdoboz" style="display: none;">
	<form action="/admin/edithkgaleria" method="post" name="ujhkgaleria_form" id="ujhkgaleria_form" enctype="multipart/form-data">
		<input type="hidden" name="ujgal" id="ujgal" value="igen" />
		<input type="hidden" name="terulet" id="terulet" value="honapkepe" />
		<table>
			<tr>
				<td width="150"><strong>év hónap - beküldő neve: </strong></td>
				<td><input type="text" name="cim" id="cim" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td valign="top"><strong>A zsűri véleménye: </strong></td>
				<td>
					<textarea name="leiras" id="leiras" rows="3" cols="45"></textarea>
				</td>
			</tr>
			<tr>
				<td><strong>Hónap: </strong></td>
				<td>
					<select name="sorszam" id="sorszam" onchange="mappakepek(this.value)" style="width: 270px;">
						<option value="">  -- Válasszon --  </option>
						<?for( $i=25; $i<=36; $i++ ):?>
						<option value="<?=$i?>" class="honapok">2013. <?=$i-24?>.</option>
						<?endfor;?>
					</select>
				</td>
			</tr>
			<tr>
				<td><strong>Nyertes kép <i>(útvonal nélkül)</i>: </strong></td>
				<td id="ujhonapokkepei"></td>
			</tr>
			<tr>
				<td><strong>1. Kiemelt kép <i>(útvonal nélkül)</i>: </strong></td>
				<td class="ujkiemelt10"><input type="text" name="kiemelt1" id="kiemelt1" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td><strong>2. Kiemelt kép <i>(útvonal nélkül)</i>: </strong></td>
				<td class="ujkiemelt20"><input type="text" name="kiemelt2" id="kiemelt2" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td><strong>3. Kiemelt kép <i>(útvonal nélkül)</i>: </strong></td>
				<td class="ujkiemelt30"><input type="text" name="kiemelt3" id="kiemelt3" value="" style="width: 270px;" /></td>
			</tr>
			<tr>
				<td><strong>4. Kiemelt kép <i>(útvonal nélkül)</i>: </strong></td>
				<td class="ujkiemelt40"><input type="text" name="kiemelt4" id="kiemelt4" value="" style="width: 270px;" /></td>
			</tr>
		</table>
	</form>
</div>

<script type="text/javascript">
	
	var honapkepek_object_copy = {
		getAllGallery: function(){
			return <?=$honapkepek_json?>;
		},
		getUpdateBySorszam: function(sorszam){
			var galeriak = this.getAllGallery();
			var len = galeriak.length;
			
			for(var i = 0; i < len; i++){
				if(galeriak[i].sorszam == sorszam){
					return galeriak[i];
				}
			}
			
			return false;
		}
	};
	
	function mappakepek(sorszam){
		var vurl = '/admin/ajaxhkkepek/'+sorszam;
		
		var betolto = jQuery.ajax({
			url: vurl,
			success: function(data) {
				var galeria2 = honapkepek_object_copy.getUpdateBySorszam(sorszam);
				jQuery('#honapokkepei').html(data);
				jQuery('#ujhonapokkepei').html(data);
			//	galeria = jQuery(honapkepek_object.getUpdateBySorszam(sorszam));		// honapkepek_object-et nem látja !!!
				
				<?for($i=1;$i<=4;$i++):?>
				<?$valtozo = 'kiemelt'.$i;?>
				$('.kiemelt<?=$i?>0').html(data);
				$('.ujkiemelt<?=$i?>0').html(data);
				$('.kiemelt<?=$i?>0').children('select').attr('name', '<?=$valtozo?>');
				$('.ujkiemelt<?=$i?>0').children('select').attr('name', '<?=$valtozo?>');
				$('.kiemelt<?=$i?>0').children('select').val(galeria2.<?=$valtozo?>);
				$('.ujkiemelt<?=$i?>0').children('select').val('');
				<?endfor;?>
				
			/*	$('.kiemeltcella').each(function(index){
					var kk = index+1;
					var tmpkiem = 'kiemelt'+kk;
					alert("tempv: "+tmpkiem+" , Kiemelt: "+galeria2.tmpkiem);
					$(this).html(data);
					$(this).children('select').attr('name', 'kiemelt'+kk);
					$(this).children('select').val(galeria2.tmpkiem);	// ............. ????????
				});*/
			}
		});
	}
</script>

